<?php
/**
 * @package		Portal
 * @author		<a href='https://www.devfuse.com'>DevFuse</a>
 * @copyright	(c) 2015-2017 DevFuse
 */

namespace IPS\portal\modules\admin\portal;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * settings
 */
class _settings extends \IPS\Dispatcher\Controller
{
	/**
	 * Execute
	 *
	 * @return	void
	 */
	public function execute()
	{
		\IPS\Dispatcher::i()->checkAcpPermission( 'settings_manage' );
		parent::execute();
	}

	/**
	 * Manage Settings
	 *
	 * @return	void
	 */
	protected function manage()
	{
		\IPS\Output::i()->title = \IPS\Member::loggedIn()->language()->addToStack('portal_settings');

		$form = new \IPS\Helpers\Form;

        $form->addHeader( 'portal_default_blocks' );
        $form->add( new \IPS\Helpers\Form\Number( 'latest_topics_main', \IPS\Settings::i()->latest_topics_main, FALSE, array(), NULL, NULL, NULL, 'latest_topics_main' ) );
        $form->add( new \IPS\Helpers\Form\YesNo( 'portal_topics_order_by', \IPS\Settings::i()->portal_topics_order_by, FALSE, array(), NULL, NULL, NULL, 'portal_topics_order_by' ) );
        $form->add( new \IPS\Helpers\Form\Number( 'portal_topic_truncate', \IPS\Settings::i()->portal_topic_truncate, FALSE, array( 'unlimited' => 0, 'unlimitedLang' => 'disable' ), NULL, NULL, NULL, 'portal_topic_truncate' ) );
        $form->add( new \IPS\Helpers\Form\Node( 'portal_latest_topics_forums', \IPS\Settings::i()->portal_latest_topics_forums ?: 0, FALSE, array( 'class' => 'IPS\forums\Forum', 'multiple' => TRUE, 'zeroVal' => 'select_all_forums', 'permissionCheck' => function ( $forum ) { return $forum->sub_can_post and !$forum->redirect_url; } ), NULL, NULL, NULL, 'portal_latest_topics_forums' ) );  
        $form->add( new \IPS\Helpers\Form\Select( 'portal_pinned_topics', \IPS\Settings::i()->portal_pinned_topics, FALSE, array( 'options' => array( 1 => 'portal_pinned_topics_option_1', 2 => 'portal_pinned_topics_option_2', 3 => 'portal_pinned_topics_option_3' ) ), NULL, NULL, NULL, 'portal_pinned_topics' ) );
        
        $form->addHeader( 'portal_thumbnail_images' );
        $form->add( new \IPS\Helpers\Form\YesNo( 'portal_thumbnails_enable', \IPS\Settings::i()->portal_thumbnails_enable, FALSE, array( 'togglesOn' => array( 'portal_thumbnails_posts' ) ), NULL, NULL, NULL, 'portal_thumbnails_enable' ) );
        $form->add( new \IPS\Helpers\Form\Number( 'portal_thumbnails_posts', \IPS\Settings::i()->portal_thumbnails_posts, FALSE, array( 'unlimited' => 1, 'unlimitedLang' => 'portal_thumbnails_posts_unlimitedLang' ), NULL, NULL, NULL, 'portal_thumbnails_posts' ) );

		if ( $values = $form->values() )
		{
			$form->saveAsSettings();
		}

		\IPS\Output::i()->output = $form;
	}
}