<?php
/**
 * @package		Portal
 * @author		<a href='https://www.devfuse.com'>DevFuse</a>
 * @copyright	(c) 2015-2017 DevFuse
 */

namespace IPS\portal\modules\front\portal;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * portal
 */
class _portal extends \IPS\Dispatcher\Controller
{
	/**
	 * Execute
	 *
	 * @return	void
	 */
	public function execute()
	{
		parent::execute();
        
		/* You must purchase copyright removal before removing */
        if( !\IPS\Settings::i()->devfuse_copy_num_free )
        {
            \IPS\Output::i()->output .= "<div style='clear:both;text-align:center;position:absolute;bottom:15px;width:95%;'><a href='http://www.devfuse.com/' class='ipsType_smaller ipsType_light'>Portal by DevFuse</a> &middot; <a href='http://www.invisionpower.com/' class='ipsType_smaller ipsType_light'>Based on IP.Board Portal by IPS</a></div>";    
        }        
	}

	/**
	 * ...
	 *
	 * @return	void
	 */
	protected function manage()
	{       
        $where = array();
           
        /* Restrict forums? */ 
   		if( \IPS\Settings::i()->portal_latest_topics_forums )
		{
			$where[] = array( 'forum_id IN (' . \IPS\Settings::i()->portal_latest_topics_forums . ')' );
		}
        
        /* Show only unpinned topics? */
        if( \IPS\Settings::i()->portal_pinned_topics == 2 )
        {
            $where[] = array( 'pinned=0' );    
        }

        /* Show only pinned topics? */
        if( \IPS\Settings::i()->portal_pinned_topics == 3 )
        {
            $where[] = array( 'pinned=1' );    
        }
        
	    /* Get main topics */
 		$table = new \IPS\Helpers\Table\Content( 'IPS\forums\Topic', \IPS\Http\Url::internal( 'app=portal&module=portal&controller=portal', 'front', 'portal' ), $where, NULL, FALSE, 'read' );
        $table->rowsTemplate = array( \IPS\Theme::i()->getTemplate( 'browse', 'portal', 'front' ), 'topicRow' );
        $table->tableTemplate = array( \IPS\Theme::i()->getTemplate( 'browse', 'portal', 'front' ), 'forumTable' );
        $table->limit = (int) \IPS\Settings::i()->latest_topics_main; 
        
        /* Default sort */
        if( \IPS\Settings::i()->portal_topics_order_by == 1 )
        {
            $table->sortBy = 'start_date';    
        }                       
        
        /* Prepare page output */
        \IPS\Output::i()->title  = \IPS\Member::loggedIn()->language()->addToStack( '__app_portal' );
        \IPS\Output::i()->output = (string) $table;
	}
}