<?php
/**
 * @package		Portal
 * @author		<a href='https://www.devfuse.com'>DevFuse</a>
 * @copyright	(c) 2015-2017 DevFuse
 */

namespace IPS\portal\setup\upg_100001;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * 1.5.0 (IPB4) Upgrade Code
 */
class _Upgrade
{
	/**
	 * ...
	 *
	 * @return	array	If returns TRUE, upgrader will proceed to next step. If it returns any other value, it will set this as the value of the 'extra' GET parameter and rerun this step (useful for loops)
	 */
	public function step1()
	{
	   /* Delete old blocks and settings */
	   \IPS\Db::i()->delete( 'portal_blocks', "name IN( 'latest-topics-main', 'latest-topics-sidebar', 'navigation-links', 'portal-poll', 'online-users', 'top-posters', 'newest-members', 'newest-posts', 'board-stats' )" );
       \IPS\Db::i()->delete( 'core_sys_conf_settings', "conf_key IN( 'portal_hide_author', 'portal_thumbnail_dimensions', 'portal_topic_thumbnail', 'portal_left_style', 'portal_right_style', 'portal_hide_share', 'portal_hide_column', 'portal_index_title', 'portal_index_md', 'portal_index_mk', 'portal_show_nav', 'portal_nav', 'latest_topics_sidebar', 'portal_poll_url', 'portal_exclude_pinned', 'portal_topics_pagination', 'portal_top_posters_number', 'portal_top_posters_exclude', 'portal_newest_members_number', 'portal_newest_members_exclude', 'portal_NewPostsNumber', 'portal_NewPostsChars', 'portal_newest_posts_forums' )" );
       
       /* Hide the old blocks except examples */
 	   \IPS\Db::i()->update( 'portal_blocks', array( 'show_block' => 0 ), "name NOT IN( 'example-block-php', 'example-block-html' )" );     
      
       /* Re-enable app again */
       \IPS\Db::i()->update( 'core_applications', array( 'app_enabled' => 1 ), array( 'app_directory=?', 'portal' ) );      
      
       return true;			
	}
}